# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "dcs-module-ipc"
version = "0.3.0"
authors = ["Markus Ast <m@rkusa.st>"]
description = "Building block to implement pull-based IPC communication into Lua modules (DLLs) for DCS World."
license = "MIT OR Apache-2.0"
repository = "https://github.com/rkusa/dcs-module-ipc"
[dependencies.futures]
version = "0.3"

[dependencies.log]
version = "0.4"

[dependencies.mlua]
version = "0.5"
features = ["lua51", "serialize"]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.thiserror]
version = "1.0"
